<?php

use App\Http\Controllers\BookingWorkbenchController;
use App\Http\Controllers\CalendarPriceController;
use App\Http\Controllers\FlightOfferPricingController;
use App\Http\Controllers\FlightOfferSearchController;
use App\Http\Controllers\TicketWorkbenchController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::post('/search_flight_offers', [FlightOfferSearchController::class, 'index']);
Route::post('/search_flight_offers/paginate', [FlightOfferSearchController::class, 'getOffersPage']);
Route::post('/flight_offers_pricing', [FlightOfferPricingController::class, 'index']);
Route::get('/workbench/create_reservation', [BookingWorkbenchController::class, 'createWorkbench']);
Route::post('/workbench/add_offer', [BookingWorkbenchController::class, 'addOffer']);
Route::post('/workbench/add_traveler', [BookingWorkbenchController::class, 'addTraveler']);
Route::post('/workbench/commit', [BookingWorkbenchController::class, 'commitReservation']);
Route::post('/calendar_price', [CalendarPriceController::class, 'index']);
Route::post('/ticket/post_commit_initiate', [TicketWorkbenchController::class, 'postCommitInitiate']);
Route::post('/ticket/add_fop', [TicketWorkbenchController::class, 'addFormOfPayment']);
Route::post('/ticket/add_payment', [TicketWorkbenchController::class, 'addPayment']);
Route::post('/ticket/pre_ticket_review', [TicketWorkbenchController::class, 'preTicketReview']);
Route::post('/ticket/ticket_issuance', [TicketWorkbenchController::class, 'commitReservationTicketIssuance']);
Route::post('/ticket/create', [TicketWorkbenchController::class, 'createTicket']);
